﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT MSO/DSO6102 (1 yr) Ext Trig IEEE /9500+G1
DATE:                  2011-02-04 14:55:52
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       163
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
#
#  Model(s) Covered:
#        DSO6102A, MSO6102A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  2 channel scopes have a front panel EXT TRIG IN.
#
#  Two different schemes are used to verify UUT external trigger, depending
#  on whether the 9500 used has a single or multiple active heads. In the
#  case of a single active head system, a power splitter is required to
#  provide a simultaneous trigger signal.
#
#  9500, multiple active heads:
#  In the subsequent external trigger tests, the 9500 dual leveled sine mode
#  is used to supply an identical signal level simultaneously to the vertical
#  and external trigger inputs.
#
#  9500, single active head:
#  In the subsequent external trigger tests, a power splitter is used to
#  supply an identical signal level simultaneously to the vertical and
#  external trigger inputs. Because the power splitter output is 6 dB lower
#  (½ the voltage input) than the input, the 9500 output is initially set to
#  twice the desired level at the vertical and AUX TRIG IN inputs. The output
#  is then adjusted until the desired value is measured at the UUT vertical
#  input.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub AT MSO/DSO6xxx Select Channel

# Due to qualitative nature of the test, repeated measurements unnecessary.
  1.002  VSET         NTHROW = 0; NMEAS = 1

  1.003  RSLT         =
  1.004  HEAD         {TRIGGER SENSITIVITY (External)}
  1.005  RSLT         =
  1.006  HEAD         -2 TRIGGER SENSITIVITY (External): {±1 V Range}
  1.007  TARGET
  1.008  HEAD         -2 25 MHz
  1.009  SCPI         CHAN[V @Chan]:SCAL 20mV;IMP FIFT
  1.010  SCPI         MEAS:SOURCE CHAN[V @Chan]
  1.011  SCPI         TIM:SCAL 10ns
  1.012  SCPI         TRIG:MODE EDGE;SWE AUTO;EDGE:SOUR EXT
  1.013  SCPI         EXT:RANG 1V;IMP FIFT

  1.014  TARGET       -m
  1.015  MATH         MEM = 100; MEM1 = MEM

  1.016  DO
  1.017  MATH         MEM = MEM1 + (100 - MEM) / 2
  1.018  9500         mVpp                         25MH           LS    S  L
  1.019  WAIT         [D1000]
  1.020  SCPI         MEAS:VAMP?[I]
  1.021  MATH         MEM = MEM / 1E-3
  1.022  UNTIL        (MEM >= 95) && (MEM < 100)

  1.023  SCPI         TRIG:SWE NORM
  1.024  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  1.025  SCPI         TRIG:SWE AUTO
  1.026  EVAL   -e  @Trig :[32]100 mV @ 25 MHz


  2.001  HEAD         -2 1 GHz
  2.002  SCPI         CHAN[V @Chan]:SCAL 50mV
  2.003  SCPI         TIM:SCAL 500ps

  2.004  TARGET       -m
  2.005  MATH         MEM = 200; MEM1 = MEM

  2.006  DO
  2.007  MATH         MEM = MEM1 + (200 - MEM) / 2
  2.008  9500         mVpp                         1GH            LS    S  L
  2.009  WAIT         [D1000]
  2.010  SCPI         MEAS:VAMP?[I]
  2.011  MATH         MEM = MEM / 1E-3
  2.012  UNTIL        (MEM >= 195) && (MEM < 200)

  2.013  SCPI         TRIG:SWE NORM
  2.014  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  2.015  SCPI         TRIG:SWE AUTO
  2.016  EVAL   -e  @Trig :[32]200 mV @ 1 GHz


  3.001  RSLT         =
  3.002  HEAD         TRIGGER SENSITIVITY (External): {±8 V Range}
  3.003  TARGET
  3.004  HEAD         -2 25 MHz
  3.005  SCPI         CHAN[V @Chan]:SCAL 50mV
  3.006  SCPI         TIM:SCAL 10ns
  3.007  SCPI         EXT:RANG 8V;IMP FIFT
  3.008  MATH         MEM = 250; MEM1 = MEM

  3.009  DO
  3.010  MATH         MEM = MEM1 + (250 - MEM) / 2
  3.011  9500         mVpp                         25MH           LS    S  L
  3.012  WAIT         [D1000]
  3.013  SCPI         MEAS:VAMP?[I]
  3.014  MATH         MEM = MEM / 1E-3
  3.015  UNTIL        (MEM >= 245) && (MEM < 250)

  3.016  SCPI         TRIG:SWE NORM
  3.017  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  3.018  SCPI         TRIG:SWE AUTO
  3.019  EVAL   -e  @Trig :[32]250 mV @ 25 MHz


  4.001  HEAD         -2 1 GHz
  4.002  SCPI         CHAN[V @Chan]:SCAL 100mV
  4.003  SCPI         TIM:SCAL 500ps
  4.004  MATH         MEM = 500; MEM1 = MEM

  4.005  DO
  4.006  MATH         MEM = MEM1 + (500 - MEM) / 2
  4.007  9500         mVpp                         1GH            LS    S  L
  4.008  WAIT         [D1000]
  4.009  SCPI         MEAS:VAMP?[I]
  4.010  MATH         MEM = MEM / 1E-3
  4.011  UNTIL        (MEM >= 495) && (MEM < 500)

  4.012  SCPI         TRIG:SWE NORM
  4.013  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  4.014  SCPI         TRIG:SWE AUTO
  4.015  EVAL   -e  @Trig :[32]500 mV @ 1 GHz

  5.001  9500         *                                                 S
  5.002  SCPI         *RST
  5.003  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
  5.004  HEAD
  5.005  HEAD         -2
  5.006  END
